export declare const DefaultDateLayout = "2006-01-02 15:04:05.000Z";
export declare function nowDateTime(): DateTime;
export declare function NowDateTime(): DateTime;
export declare function parseDateTime(value: unknown): DateTime;
export declare function ParseDateTime(value: unknown): DateTime;
export declare class DateTime {
    #private;
    constructor(date?: Date | null);
    time(): Date;
    Time(): Date;
    add(ms: number): DateTime;
    Add(ms: number): DateTime;
    sub(other: DateTime): number;
    Sub(other: DateTime): number;
    addDate(years: number, months: number, days: number): DateTime;
    AddDate(years: number, months: number, days: number): DateTime;
    after(other: DateTime): boolean;
    After(other: DateTime): boolean;
    before(other: DateTime): boolean;
    Before(other: DateTime): boolean;
    compare(other: DateTime): number;
    Compare(other: DateTime): number;
    equal(other: unknown): boolean;
    Equal(other: unknown): boolean;
    unix(): number;
    Unix(): number;
    isZero(): boolean;
    IsZero(): boolean;
    toString(): string;
    string(): string;
    String(): string;
    MarshalJSON(): string;
    UnmarshalJSON(raw: Uint8Array | string | null | undefined): Error | null;
    Value(): string;
    toJSON(): string;
    valueOf(): string;
    Scan(value: unknown): Error | null;
    scan(value: unknown): void;
}
